[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Client authentication with Kerberos ticket

From: Yves Martin <yves.martin_at_elca.ch>
Date: 2006-12-22 13:37:03 CET

On Fri, 2006-12-22 at 06:16 +1100, Samay wrote:
> >
> > BUT
> > . TurtoiseSVN 1.4.1 simply crashes !
> > . svn Win32 1.4.2 command line also crashes ?
>
> it’s a known problem. Try using Tortoise 1.4.0 r7501 ... SVN windows command
> line does not work with SPNego since version 1.4 if compiled with Neon
> 0.26.x ... works fine if compiled with Neon 0.25.5 ... probably due to some
> API changes or something. Search the mailing list archives for past
> discussion on this one.

  I tried Tortoise 1.4.0 but it sends a SPNEGO / NTLM ticket
  (without crashing, that is better) whereas 1.4.1 sends properly a
  SPNEGO / GSSAPI ticket but crashs.

[Fri Dec 22 11:59:00 2006] [debug] src/mod_auth_kerb.c(1194): [client
10.10.80.225] Warning: received token seems to be NTLM, which isn'
t supported by the Kerberos module. Check your IE configuration.
[Fri Dec 22 11:59:00 2006] [error] [client 10.10.80.225]
gss_accept_sec_context() failed: A token was invalid (Token header is
malformed
 or corrupt)

  Have you got another option ? Does JavaSVN support SPNEGO/GSSAPI ?

-- 
Yves Martin
---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Fri Dec 22 13:37:42 2006

This is an archived mail posted to the Subversion Users mailing list.